# Module nom::bits

source · [−]
Expand description

Bit level parsers

## Modules

complete

Bit level parsers

streaming

Bit level parsers

## Functions

bits

Converts a byte-level input to a bit-level input, for consumption by a parser that uses bits.

bytes

Counterpart to `bits`, `bytes` transforms its bit stream input into a byte slice for the underlying parser, allowing byte-slice parsers to work on bit streams.